summaryrefslogtreecommitdiffstats
path: root/perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild
diff options
context:
space:
mode:
author Mikko Värri <vmj@linuxbox.fi>2011-12-12 10:15:53 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-18 00:07:47 -0200
commit7988a5c5a0aa35b4939a7455a8e37ab93de23999 (patch)
treedc8780550a80311509d168aee2d2895a6165bc3b /perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild
parent11339c3827cf47622d1fa95dc1913b6440f12b00 (diff)
downloadslackbuilds-7988a5c5a0aa35b4939a7455a8e37ab93de23999.tar.gz
slackbuilds-7988a5c5a0aa35b4939a7455a8e37ab93de23999.tar.xz
perl/perl-IPC-Run3: Added (run a subprocess with input/ouput redirection)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild')
-rw-r--r--perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild b/perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild
new file mode 100644
index 0000000000..0bb2368e0c
--- /dev/null
+++ b/perl/perl-IPC-Run3/perl-IPC-Run3.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for IPC-Run3
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=perl-IPC-Run3
+VERSION=${VERSION:-0.044}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}